<?php



/*-----------------INICIO CONSULTA----------------------------*/
include ("../sistem/dist/incluciones/Db.php");
require_once('../sistem/dist/Model/viajeModel.php');

if(isset($_POST['imprSolo'])){
    $id_viaj=$_POST['buscador'];

    $resul = new Viajes;
    $r=$resul->imprimirFpdf($id_viaj);

    foreach ($r as $fila) {
    	$id_viaj=$fila['id_viaj'];
    	$fechaReg_viaj=$fila['fechaReg_viaj'];
    	$motivo_viaj=$fila['motivo_viaj'];
    	$fecha_inc=$fila['fecha_inc'];
    	$fecha_fin=$fila['fecha_fin'];
    	$id_per=$fila['id_per'];
    	$nom_per=$fila['nom_per'];
    	$primerAp_per=$fila['primerAp_per'];
    	$segundoAp_per=$fila['segundoAp_per'];
    	$numDoc_per=$fila['numDoc_per'];
    	$expeditoDoc_per=$fila['expeditoDoc_per'];
    	$cargo=$fila['cargo'];

    	list($anio, $mes, $dia) = explode("-", $fechaReg_viaj);
    }


    /*-------------------FIN CONSULTA--------------------*/

	require('fpdf.php');
			/*-------------qr inicio-----------------*/

		    require '../sistem/dist/phpqrcode/qrlib.php';
		    $ruta= '../tempQR/';

		    if(!file_exists($ruta))
		        mkdir($ruta);

		    $filename = $ruta."imgTempViaje".'.png';
		    //$nom_Archivo='imgTempQRcita'.'.png';


		    $tamanio = 6; //tamaño de pixles
		    $level = 'M'; // L:baja , M:median, Q:Alta, H:maxima
		    $frameSize = 3; // borde de blanco 
		    $contenido = 'Nº de viaje : '.$id_viaj." "." Funcionario : ".$nom_per." ".$primerAp_per." ".$segundoAp_per." "." CI: ".$numDoc_per; 
		    

		    QRcode::png($contenido, $filename, $level, $tamanio, $frameSize);

		    ///print '<img src="'.$filename.'" />';  

		    /* <div style="float: left;"><img src="tempQRcita/tempQRcita.png" width="100"></div> */
		   
			/*--------------fin rq ----------------*/
	require_once('headerYfooter.php');

	$pdf = new PDF();
	$pdf->AliasNbPages();
	$pdf->AddPage();
	/*-----------titulo----------------*/
	$pdf->Ln(-15);
	$pdf->SetFont('Arial','',20); //fuente
	$pdf->Cell(135);					//mover a la derecha
	$pdf->SetTextColor(245, 27, 13);		//color del texto 

	if(($id_viaj>0)&&($id_viaj<10)){
	    	//print " Nº "."000000".$id_viaj;
	    	$pdf->Cell(50,8,utf8_decode('Nº 000000').$id_viaj,0,2,'R'); //titulo
	    }
    if(($id_viaj>9)&&($id_viaj<100)){
    	//print " Nº "."00000".$id_viaj;
    	$pdf->Cell(50,8,utf8_decode('Nº 00000').$id_viaj,0,2,'R'); //titulo
    }
    if(($id_viaj>99)&&($id_viaj<1000)){
    	//print " Nº "."0000".$id_viaj;
    	$pdf->Cell(50,8,utf8_decode('Nº 0000').$id_viaj,0,2,'R'); //titulo
    }
    if(($id_viaj>999)&&($id_viaj<10000)){
    	//print " Nº "."000".$id_viaj;
    	$pdf->Cell(50,8,utf8_decode('Nº 000').$id_viaj,0,2,'R'); //titulo
    }

	$pdf->Ln(); 	//salto de linia
	/*------------fin---------------*/



	require_once'contenido.php';

	$pdf->Output();

}

	
	

	

	 

?>